'use strict';
define([
  'angular',
  'biz/yamoussoukro/modules/form/sendmailfield/controllers/SendMailFieldCtrl',
  'biz/yamoussoukro/modules/form/sendmailfield/directives/SendMailFieldDirective',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, SendMailFieldCtrl, SendMailFieldDirective) {
  // generation du module
  var ff = angular.module('gc_sendmailfield', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'model',
  ]);
  // ajout service

  // ajout controller
  ff.controller('SendMailFieldCtrl', SendMailFieldCtrl);
  // ajout directive
  ff.directive('sendmailfielddirective', SendMailFieldDirective);

  //route provider

  return ff;
});
